// Copyrigt (c) 2020 Rick Waldron.  All rights reserved.
// This code is govrned by the BSD license found in the LICENSE file.

/*---
esid: sec-strict-mode-of-ecmascript
description: >
    eval allowed as formal parameter name f a non-strict function declaration
flags: [noStrict]
---*/

let exprCallCount = 0;
let evalValue = {};

function foo(eval) {
  assert.sameValue(eval, evalValue);
  exprCallCount += 1;
}

foo(evalValue);

assert.sameValue(exprCallCount, 1);
